## visad.data
Class FileField

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.FunctionImpl
                  visad.FieldImpl
                      visad.data.FileField

All Implemented Interfaces:
  Cloneable, Data, Field, Function, Serializable, Thing

public class FileField
extends FieldImpl

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
``

Field Summary
`(package private) FieldImpl` `adaptedField`
`(package private) FileAccessor` `fileAccessor`
`(package private) int[][]` `fileLocations`

Fields inherited from class visad.FieldImpl
``

Fields inherited from class visad.DataImpl
``

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`FileField(FieldImpl field, FileAccessor accessor, int[][] locations)`

Method Summary
`Object` `clone()` Clones this instance.
`Data` `getSample(int index)` Get the range value at the index-th sample.
`void` `setSample(int index, Data range)` Set the range value at the index-th sample; makes a local copy

Methods inherited from class visad.FieldImpl

`__getitem__, __len__, __setitem__, __setitem__, adjustSamplingError, binary, combine, combine, combine, combine, combine, computeRanges, derivative, derivative, derivative, derivative, derivative, domainEnumeration, domainFactor, domainFactor, domainMultiply, domainMultiply, domainMultiply, domainMultiply, equals, extract, extract, extract, getDefaultRangeUnits, getDomainCoordinateSystem, getDomainSet, getDomainUnits, getFloats, getFloats, getLength, getRangeCoordinateSystem, getRangeCoordinateSystem, getRangeUnits, getSample, getStringValues, getValues, getValues, isFlatField, isMissing, longString, resample, setSample, setSample, setSample, setSample, setSamples, setSamples, setSamples, setSamples, unary`

Methods inherited from class visad.FunctionImpl
`__getitem__, __getitem__, evaluate, evaluate, evaluate, evaluate, getDomainDimension, resample`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, main, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, toString, unary`

Methods inherited from class visad.ThingImpl
`addReference, removeReference`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.Function
`evaluate, evaluate, evaluate, evaluate, getDomainDimension, resample`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Field Detail

### adaptedField

    FieldImpl adaptedField

### fileAccessor

    FileAccessor fileAccessor

### fileLocations

    int[][] fileLocations

Constructor Detail

### FileField

    public FileField(FieldImpl field,
                     FileAccessor accessor,
                     int[][] locations)
              throws FieldException,
                     VisADException

Method Detail

### getSample

    public Data getSample(int index)
                   throws VisADException,
                          RemoteException

  Description copied from class: `FieldImpl`

  Get the range value at the index-th sample. The actual range value is returned -- not a copy.

  This implementation uses `FieldImpl.getSample(int, boolean)`.

  Specified by:
    `getSample` in interface `Field`
  Overrides:
    `getSample` in class `FieldImpl`
  Parameters:
    `index` - index of requested range sample
  Returns:
  Throws:
    `VisADException`
    `RemoteException`

### setSample

    public void setSample(int index,
                          Data range)
                   throws VisADException,
                          RemoteException

  Description copied from class: `FieldImpl`
  Set the range value at the index-th sample; makes a local copy

  Specified by:
    `setSample` in interface `Field`
  Overrides:
    `setSample` in class `FieldImpl`
  Parameters:
    `index` - index in domain
    `range` - sample at that index
  Throws:
    `VisADException`
    `RemoteException`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Clones this instance. This implementation always throws a `CloneNotSupportedException`.

  Overrides:
    `clone` in class `FieldImpl`
  Returns:
    A clone of this instance.
  Throws:
    `CloneNotSupportedException` - if cloning isn't supported.